=== words/templates/CMakeLists.txt ===
add_subdirectory( Wordprocessing )
