=== stage/plugins/shapeanimations/CMakeLists.txt ===
add_subdirectory( example )
