=== debian/changelog ===
calligra (1:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 17:00:59 +0000
