=== debian/changelog ===
calligra (1:25.11.90-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.11.90).
  * Update build-deps and deps with the info from cmake.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Dec 2025 00:04:47 +0100
