=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: calligra
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libboost-dev,
@@ -14,7 +13,7 @@
                libetonyek-dev,
                libfontconfig-dev,
                libfreetype-dev,
-               libgsl-dev,
+               libgsl-dev (>= 1.7~),
                libkchart-dev (>= 3.0.0~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
@@ -35,6 +34,7 @@
                libkf6notifyconfig-dev (>= 6.0.0~),
                libkf6sonnet-dev (>= 6.0.0~),
                libkf6textwidgets-dev (>= 6.0.0~),
+               libkf6threadweaver-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
@@ -44,7 +44,7 @@
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libpoppler-private-dev (>= 22.02.0~),
-               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
+               libpoppler-qt6-dev (>= 25.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
                librevenge-dev,
                libssl-dev,
@@ -52,21 +52,22 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:25.11.80~),
+               okular-dev (>= 4:24.04.0~),
+               perl,
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qtkeychain-qt6-dev,
-               shared-mime-info,
+               shared-mime-info (>= 1.3~),
                vc-dev (>= 1.1.0~) [any-amd64 any-i386 arm64 armel armhf],
                zlib1g-dev,
 Standards-Version: 4.7.2
 Homepage: https://www.calligra.org/
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calligra.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calligra
 
 Package: calligra
 Architecture: any
@@ -90,8 +91,8 @@
 Architecture: any
 Section: graphics
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: pstoedit
+         ${shlibs:Depends},
+Recommends: pstoedit,
 Homepage: https://www.calligra.org/karbon/
 Description: vector graphics application for the Calligra Suite
  Karbon is a vector drawing application with an user interface that is easy to
@@ -129,7 +130,7 @@
 Section: math
 Depends: calligrasheets-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: khelpcenter,
 Homepage: https://www.calligra.org/sheets/
 Description: spreadsheet for the Calligra Suite
@@ -142,7 +143,7 @@
 Package: calligrasheets-data
 Architecture: all
 Section: math
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Homepage: https://www.calligra.org/sheets/
 Description: data files for Sheets spreadsheet
  This package contains architecture-independent data files for Sheets,
@@ -157,7 +158,7 @@
 Section: text
 Depends: calligrawords-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Homepage: https://www.calligra.org/words/
 Description: word processor for the Calligra Suite
  Words is a FrameMaker-like word processing and desktop publishing
@@ -170,7 +171,7 @@
 Package: calligrawords-data
 Architecture: all
 Section: text
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Homepage: https://www.calligra.org/words/
 Description: data files for Words word processor
  This package contains architecture-independent data files for Words,
@@ -184,8 +185,8 @@
 Architecture: any
 Depends: calligrastage-data (>=${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: khelpcenter
+         ${shlibs:Depends},
+Suggests: khelpcenter,
 Homepage: https://www.calligra.org/stage/
 Description: presentation program for the Calligra Suite
  Stage is an easy to use yet still flexible presentation application. You can
@@ -205,7 +206,7 @@
 
 Package: calligrastage-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Homepage: https://www.calligra.org/stage/
 Description: data files for Calligra Stage
  This package contains architecture-independent data files for Stage,
@@ -220,9 +221,11 @@
 Architecture: any
 Depends: calligra-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fonts-lyx, libqca-qt6-plugins
-Suggests: texlive, wordnet
+         ${shlibs:Depends},
+Recommends: fonts-lyx,
+            libqca-qt6-plugins,
+Suggests: texlive,
+          wordnet,
 Description: common libraries and binaries for the Calligra Suite
  This package provides the libraries and binaries that are shared amongst
  the various components of Calligra.
@@ -232,8 +235,8 @@
 Package: calligra-data
 Section: libs
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: khelpcenter
+Depends: ${misc:Depends},
+Suggests: khelpcenter,
 Description: common shared data for the Calligra Suite
  This package provides the architecture-independent data that is shared
  amongst the various components of Calligra.
@@ -244,9 +247,9 @@
 Architecture: any
 Section: graphics
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: okular
-Enhances: okular
+         ${shlibs:Depends},
+Recommends: okular,
+Enhances: okular,
 Description: Okular backend for ODP documents
  This package provides a backend for Okular to view OpenDocument Presentation
  (ODP) documents, but also PowerPoint and PPTX documents.
@@ -257,9 +260,9 @@
 Architecture: any
 Section: graphics
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: okular
-Enhances: okular
+         ${shlibs:Depends},
+Recommends: okular,
+Enhances: okular,
 Description: Okular backend for ODT documents
  This package provides a backend for Okular to view OpenDocument Text
  (ODT) documents, but also DOC, DOCX, RTF and WPD documents.
